source: configure @ 5a6e6b9

barnowl_perlaimdebianowlrelease-1.10release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
Last change on this file since 5a6e6b9 was f9c43ae, checked in by James M. Kretchmar <kretch@mit.edu>, 22 years ago
Fixed up the normal scrolling code. Now it should always land on a message, but it's still not optimal. Added the variable 'smartstrip' which will strip kerberos instances out for the 'reply' command. Added -R/usr/athena/lib to the build for Athena
  • Property mode set to 100755
File size: 59.7 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=owl.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='        '
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525
526
527# Extract the first word of "gcc", so it can be a program name with args.
528set dummy gcc; ac_word=$2
529echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
530echo "configure:531: checking for $ac_word" >&5
531if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
532  echo $ac_n "(cached) $ac_c" 1>&6
533else
534  if test -n "$CC"; then
535  ac_cv_prog_CC="$CC" # Let the user override the test.
536else
537  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
538  ac_dummy="$PATH"
539  for ac_dir in $ac_dummy; do
540    test -z "$ac_dir" && ac_dir=.
541    if test -f $ac_dir/$ac_word; then
542      ac_cv_prog_CC="gcc"
543      break
544    fi
545  done
546  IFS="$ac_save_ifs"
547fi
548fi
549CC="$ac_cv_prog_CC"
550if test -n "$CC"; then
551  echo "$ac_t""$CC" 1>&6
552else
553  echo "$ac_t""no" 1>&6
554fi
555
556if test -z "$CC"; then
557  # Extract the first word of "cc", so it can be a program name with args.
558set dummy cc; ac_word=$2
559echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
560echo "configure:561: checking for $ac_word" >&5
561if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
562  echo $ac_n "(cached) $ac_c" 1>&6
563else
564  if test -n "$CC"; then
565  ac_cv_prog_CC="$CC" # Let the user override the test.
566else
567  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
568  ac_prog_rejected=no
569  ac_dummy="$PATH"
570  for ac_dir in $ac_dummy; do
571    test -z "$ac_dir" && ac_dir=.
572    if test -f $ac_dir/$ac_word; then
573      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
574        ac_prog_rejected=yes
575        continue
576      fi
577      ac_cv_prog_CC="cc"
578      break
579    fi
580  done
581  IFS="$ac_save_ifs"
582if test $ac_prog_rejected = yes; then
583  # We found a bogon in the path, so make sure we never use it.
584  set dummy $ac_cv_prog_CC
585  shift
586  if test $# -gt 0; then
587    # We chose a different compiler from the bogus one.
588    # However, it has the same basename, so the bogon will be chosen
589    # first if we set CC to just the basename; use the full file name.
590    shift
591    set dummy "$ac_dir/$ac_word" "$@"
592    shift
593    ac_cv_prog_CC="$@"
594  fi
595fi
596fi
597fi
598CC="$ac_cv_prog_CC"
599if test -n "$CC"; then
600  echo "$ac_t""$CC" 1>&6
601else
602  echo "$ac_t""no" 1>&6
603fi
604
605  if test -z "$CC"; then
606    case "`uname -s`" in
607    *win32* | *WIN32*)
608      # Extract the first word of "cl", so it can be a program name with args.
609set dummy cl; ac_word=$2
610echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
611echo "configure:612: checking for $ac_word" >&5
612if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
613  echo $ac_n "(cached) $ac_c" 1>&6
614else
615  if test -n "$CC"; then
616  ac_cv_prog_CC="$CC" # Let the user override the test.
617else
618  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
619  ac_dummy="$PATH"
620  for ac_dir in $ac_dummy; do
621    test -z "$ac_dir" && ac_dir=.
622    if test -f $ac_dir/$ac_word; then
623      ac_cv_prog_CC="cl"
624      break
625    fi
626  done
627  IFS="$ac_save_ifs"
628fi
629fi
630CC="$ac_cv_prog_CC"
631if test -n "$CC"; then
632  echo "$ac_t""$CC" 1>&6
633else
634  echo "$ac_t""no" 1>&6
635fi
636 ;;
637    esac
638  fi
639  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
640fi
641
642echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
643echo "configure:644: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
644
645ac_ext=c
646# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
647ac_cpp='$CPP $CPPFLAGS'
648ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
649ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
650cross_compiling=$ac_cv_prog_cc_cross
651
652cat > conftest.$ac_ext << EOF
653
654#line 655 "configure"
655#include "confdefs.h"
656
657main(){return(0);}
658EOF
659if { (eval echo configure:660: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
660  ac_cv_prog_cc_works=yes
661  # If we can't run a trivial program, we are probably using a cross compiler.
662  if (./conftest; exit) 2>/dev/null; then
663    ac_cv_prog_cc_cross=no
664  else
665    ac_cv_prog_cc_cross=yes
666  fi
667else
668  echo "configure: failed program was:" >&5
669  cat conftest.$ac_ext >&5
670  ac_cv_prog_cc_works=no
671fi
672rm -fr conftest*
673ac_ext=c
674# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
675ac_cpp='$CPP $CPPFLAGS'
676ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
677ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
678cross_compiling=$ac_cv_prog_cc_cross
679
680echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
681if test $ac_cv_prog_cc_works = no; then
682  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
683fi
684echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
685echo "configure:686: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
686echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
687cross_compiling=$ac_cv_prog_cc_cross
688
689echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
690echo "configure:691: checking whether we are using GNU C" >&5
691if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
692  echo $ac_n "(cached) $ac_c" 1>&6
693else
694  cat > conftest.c <<EOF
695#ifdef __GNUC__
696  yes;
697#endif
698EOF
699if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:700: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
700  ac_cv_prog_gcc=yes
701else
702  ac_cv_prog_gcc=no
703fi
704fi
705
706echo "$ac_t""$ac_cv_prog_gcc" 1>&6
707
708if test $ac_cv_prog_gcc = yes; then
709  GCC=yes
710else
711  GCC=
712fi
713
714ac_test_CFLAGS="${CFLAGS+set}"
715ac_save_CFLAGS="$CFLAGS"
716CFLAGS=
717echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
718echo "configure:719: checking whether ${CC-cc} accepts -g" >&5
719if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
720  echo $ac_n "(cached) $ac_c" 1>&6
721else
722  echo 'void f(){}' > conftest.c
723if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
724  ac_cv_prog_cc_g=yes
725else
726  ac_cv_prog_cc_g=no
727fi
728rm -f conftest*
729
730fi
731
732echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
733if test "$ac_test_CFLAGS" = set; then
734  CFLAGS="$ac_save_CFLAGS"
735elif test $ac_cv_prog_cc_g = yes; then
736  if test "$GCC" = yes; then
737    CFLAGS="-g -O2"
738  else
739    CFLAGS="-g"
740  fi
741else
742  if test "$GCC" = yes; then
743    CFLAGS="-O2"
744  else
745    CFLAGS=
746  fi
747fi
748
749
750if test "$GCC" = yes; then
751     CFLAGS="$CFLAGS -Wall -g";
752fi
753
754echo $ac_n "checking for /usr/athena/include""... $ac_c" 1>&6
755echo "configure:756: checking for /usr/athena/include" >&5
756if test -d /usr/athena/include; then
757        CFLAGS=${CFLAGS}\ -I/usr/athena/include
758        echo "$ac_t""yes" 1>&6
759else
760        echo "$ac_t""no" 1>&6
761fi
762echo $ac_n "checking for /usr/athena/lib""... $ac_c" 1>&6
763echo "configure:764: checking for /usr/athena/lib" >&5
764if test -d /usr/athena/lib; then
765        LDFLAGS=-L/usr/athena/lib\ -R/usr/athena/lib\ ${LDFLAGS}
766        echo "$ac_t""yes" 1>&6
767else
768        echo "$ac_t""no" 1>&6
769fi
770
771echo $ac_n "checking for initscr in -lncurses""... $ac_c" 1>&6
772echo "configure:773: checking for initscr in -lncurses" >&5
773ac_lib_var=`echo ncurses'_'initscr | sed 'y%./+-%__p_%'`
774if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
775  echo $ac_n "(cached) $ac_c" 1>&6
776else
777  ac_save_LIBS="$LIBS"
778LIBS="-lncurses  $LIBS"
779cat > conftest.$ac_ext <<EOF
780#line 781 "configure"
781#include "confdefs.h"
782/* Override any gcc2 internal prototype to avoid an error.  */
783/* We use char because int might match the return type of a gcc2
784    builtin and then its argument prototype would still apply.  */
785char initscr();
786
787int main() {
788initscr()
789; return 0; }
790EOF
791if { (eval echo configure:792: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
792  rm -rf conftest*
793  eval "ac_cv_lib_$ac_lib_var=yes"
794else
795  echo "configure: failed program was:" >&5
796  cat conftest.$ac_ext >&5
797  rm -rf conftest*
798  eval "ac_cv_lib_$ac_lib_var=no"
799fi
800rm -f conftest*
801LIBS="$ac_save_LIBS"
802
803fi
804if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
805  echo "$ac_t""yes" 1>&6
806    ac_tr_lib=HAVE_LIB`echo ncurses | sed -e 's/[^a-zA-Z0-9_]/_/g' \
807    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
808  cat >> confdefs.h <<EOF
809#define $ac_tr_lib 1
810EOF
811
812  LIBS="-lncurses $LIBS"
813
814else
815  echo "$ac_t""no" 1>&6
816echo $ac_n "checking for initscr in -lcurses""... $ac_c" 1>&6
817echo "configure:818: checking for initscr in -lcurses" >&5
818ac_lib_var=`echo curses'_'initscr | sed 'y%./+-%__p_%'`
819if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
820  echo $ac_n "(cached) $ac_c" 1>&6
821else
822  ac_save_LIBS="$LIBS"
823LIBS="-lcurses  $LIBS"
824cat > conftest.$ac_ext <<EOF
825#line 826 "configure"
826#include "confdefs.h"
827/* Override any gcc2 internal prototype to avoid an error.  */
828/* We use char because int might match the return type of a gcc2
829    builtin and then its argument prototype would still apply.  */
830char initscr();
831
832int main() {
833initscr()
834; return 0; }
835EOF
836if { (eval echo configure:837: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
837  rm -rf conftest*
838  eval "ac_cv_lib_$ac_lib_var=yes"
839else
840  echo "configure: failed program was:" >&5
841  cat conftest.$ac_ext >&5
842  rm -rf conftest*
843  eval "ac_cv_lib_$ac_lib_var=no"
844fi
845rm -f conftest*
846LIBS="$ac_save_LIBS"
847
848fi
849if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
850  echo "$ac_t""yes" 1>&6
851    ac_tr_lib=HAVE_LIB`echo curses | sed -e 's/^a-zA-Z0-9_/_/g' \
852    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
853  cat >> confdefs.h <<EOF
854#define $ac_tr_lib 1
855EOF
856
857  LIBS="-lcurses $LIBS"
858
859else
860  echo "$ac_t""no" 1>&6
861{ echo "configure: error: No curses library found." 1>&2; exit 1; }
862fi
863
864fi
865
866echo $ac_n "checking for com_err in -lcom_err""... $ac_c" 1>&6
867echo "configure:868: checking for com_err in -lcom_err" >&5
868ac_lib_var=`echo com_err'_'com_err | sed 'y%./+-%__p_%'`
869if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
870  echo $ac_n "(cached) $ac_c" 1>&6
871else
872  ac_save_LIBS="$LIBS"
873LIBS="-lcom_err  $LIBS"
874cat > conftest.$ac_ext <<EOF
875#line 876 "configure"
876#include "confdefs.h"
877/* Override any gcc2 internal prototype to avoid an error.  */
878/* We use char because int might match the return type of a gcc2
879    builtin and then its argument prototype would still apply.  */
880char com_err();
881
882int main() {
883com_err()
884; return 0; }
885EOF
886if { (eval echo configure:887: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
887  rm -rf conftest*
888  eval "ac_cv_lib_$ac_lib_var=yes"
889else
890  echo "configure: failed program was:" >&5
891  cat conftest.$ac_ext >&5
892  rm -rf conftest*
893  eval "ac_cv_lib_$ac_lib_var=no"
894fi
895rm -f conftest*
896LIBS="$ac_save_LIBS"
897
898fi
899if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
900  echo "$ac_t""yes" 1>&6
901    ac_tr_lib=HAVE_LIB`echo com_err | sed -e 's/[^a-zA-Z0-9_]/_/g' \
902    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
903  cat >> confdefs.h <<EOF
904#define $ac_tr_lib 1
905EOF
906
907  LIBS="-lcom_err $LIBS"
908
909else
910  echo "$ac_t""no" 1>&6
911fi
912
913echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
914echo "configure:915: checking for gethostbyname in -lnsl" >&5
915ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
916if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
917  echo $ac_n "(cached) $ac_c" 1>&6
918else
919  ac_save_LIBS="$LIBS"
920LIBS="-lnsl  $LIBS"
921cat > conftest.$ac_ext <<EOF
922#line 923 "configure"
923#include "confdefs.h"
924/* Override any gcc2 internal prototype to avoid an error.  */
925/* We use char because int might match the return type of a gcc2
926    builtin and then its argument prototype would still apply.  */
927char gethostbyname();
928
929int main() {
930gethostbyname()
931; return 0; }
932EOF
933if { (eval echo configure:934: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
934  rm -rf conftest*
935  eval "ac_cv_lib_$ac_lib_var=yes"
936else
937  echo "configure: failed program was:" >&5
938  cat conftest.$ac_ext >&5
939  rm -rf conftest*
940  eval "ac_cv_lib_$ac_lib_var=no"
941fi
942rm -f conftest*
943LIBS="$ac_save_LIBS"
944
945fi
946if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
947  echo "$ac_t""yes" 1>&6
948    ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
949    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
950  cat >> confdefs.h <<EOF
951#define $ac_tr_lib 1
952EOF
953
954  LIBS="-lnsl $LIBS"
955
956else
957  echo "$ac_t""no" 1>&6
958fi
959
960echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
961echo "configure:962: checking for socket in -lsocket" >&5
962ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
963if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
964  echo $ac_n "(cached) $ac_c" 1>&6
965else
966  ac_save_LIBS="$LIBS"
967LIBS="-lsocket  $LIBS"
968cat > conftest.$ac_ext <<EOF
969#line 970 "configure"
970#include "confdefs.h"
971/* Override any gcc2 internal prototype to avoid an error.  */
972/* We use char because int might match the return type of a gcc2
973    builtin and then its argument prototype would still apply.  */
974char socket();
975
976int main() {
977socket()
978; return 0; }
979EOF
980if { (eval echo configure:981: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
981  rm -rf conftest*
982  eval "ac_cv_lib_$ac_lib_var=yes"
983else
984  echo "configure: failed program was:" >&5
985  cat conftest.$ac_ext >&5
986  rm -rf conftest*
987  eval "ac_cv_lib_$ac_lib_var=no"
988fi
989rm -f conftest*
990LIBS="$ac_save_LIBS"
991
992fi
993if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
994  echo "$ac_t""yes" 1>&6
995    ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
996    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
997  cat >> confdefs.h <<EOF
998#define $ac_tr_lib 1
999EOF
1000
1001  LIBS="-lsocket $LIBS"
1002
1003else
1004  echo "$ac_t""no" 1>&6
1005fi
1006
1007echo $ac_n "checking for krb5_derive_key in -lk5crypto""... $ac_c" 1>&6
1008echo "configure:1009: checking for krb5_derive_key in -lk5crypto" >&5
1009ac_lib_var=`echo k5crypto'_'krb5_derive_key | sed 'y%./+-%__p_%'`
1010if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1011  echo $ac_n "(cached) $ac_c" 1>&6
1012else
1013  ac_save_LIBS="$LIBS"
1014LIBS="-lk5crypto  $LIBS"
1015cat > conftest.$ac_ext <<EOF
1016#line 1017 "configure"
1017#include "confdefs.h"
1018/* Override any gcc2 internal prototype to avoid an error.  */
1019/* We use char because int might match the return type of a gcc2
1020    builtin and then its argument prototype would still apply.  */
1021char krb5_derive_key();
1022
1023int main() {
1024krb5_derive_key()
1025; return 0; }
1026EOF
1027if { (eval echo configure:1028: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1028  rm -rf conftest*
1029  eval "ac_cv_lib_$ac_lib_var=yes"
1030else
1031  echo "configure: failed program was:" >&5
1032  cat conftest.$ac_ext >&5
1033  rm -rf conftest*
1034  eval "ac_cv_lib_$ac_lib_var=no"
1035fi
1036rm -f conftest*
1037LIBS="$ac_save_LIBS"
1038
1039fi
1040if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1041  echo "$ac_t""yes" 1>&6
1042    ac_tr_lib=HAVE_LIB`echo k5crypto | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1043    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1044  cat >> confdefs.h <<EOF
1045#define $ac_tr_lib 1
1046EOF
1047
1048  LIBS="-lk5crypto $LIBS"
1049
1050else
1051  echo "$ac_t""no" 1>&6
1052fi
1053
1054echo $ac_n "checking for des425_req_act_vno in -ldes425""... $ac_c" 1>&6
1055echo "configure:1056: checking for des425_req_act_vno in -ldes425" >&5
1056ac_lib_var=`echo des425'_'des425_req_act_vno | sed 'y%./+-%__p_%'`
1057if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1058  echo $ac_n "(cached) $ac_c" 1>&6
1059else
1060  ac_save_LIBS="$LIBS"
1061LIBS="-ldes425  $LIBS"
1062cat > conftest.$ac_ext <<EOF
1063#line 1064 "configure"
1064#include "confdefs.h"
1065/* Override any gcc2 internal prototype to avoid an error.  */
1066/* We use char because int might match the return type of a gcc2
1067    builtin and then its argument prototype would still apply.  */
1068char des425_req_act_vno();
1069
1070int main() {
1071des425_req_act_vno()
1072; return 0; }
1073EOF
1074if { (eval echo configure:1075: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1075  rm -rf conftest*
1076  eval "ac_cv_lib_$ac_lib_var=yes"
1077else
1078  echo "configure: failed program was:" >&5
1079  cat conftest.$ac_ext >&5
1080  rm -rf conftest*
1081  eval "ac_cv_lib_$ac_lib_var=no"
1082fi
1083rm -f conftest*
1084LIBS="$ac_save_LIBS"
1085
1086fi
1087if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1088  echo "$ac_t""yes" 1>&6
1089    ac_tr_lib=HAVE_LIB`echo des425 | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1090    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1091  cat >> confdefs.h <<EOF
1092#define $ac_tr_lib 1
1093EOF
1094
1095  LIBS="-ldes425 $LIBS"
1096
1097else
1098  echo "$ac_t""no" 1>&6
1099fi
1100
1101echo $ac_n "checking for krb5_get_credentials in -lkrb5""... $ac_c" 1>&6
1102echo "configure:1103: checking for krb5_get_credentials in -lkrb5" >&5
1103ac_lib_var=`echo krb5'_'krb5_get_credentials | sed 'y%./+-%__p_%'`
1104if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1105  echo $ac_n "(cached) $ac_c" 1>&6
1106else
1107  ac_save_LIBS="$LIBS"
1108LIBS="-lkrb5  $LIBS"
1109cat > conftest.$ac_ext <<EOF
1110#line 1111 "configure"
1111#include "confdefs.h"
1112/* Override any gcc2 internal prototype to avoid an error.  */
1113/* We use char because int might match the return type of a gcc2
1114    builtin and then its argument prototype would still apply.  */
1115char krb5_get_credentials();
1116
1117int main() {
1118krb5_get_credentials()
1119; return 0; }
1120EOF
1121if { (eval echo configure:1122: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1122  rm -rf conftest*
1123  eval "ac_cv_lib_$ac_lib_var=yes"
1124else
1125  echo "configure: failed program was:" >&5
1126  cat conftest.$ac_ext >&5
1127  rm -rf conftest*
1128  eval "ac_cv_lib_$ac_lib_var=no"
1129fi
1130rm -f conftest*
1131LIBS="$ac_save_LIBS"
1132
1133fi
1134if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1135  echo "$ac_t""yes" 1>&6
1136    ac_tr_lib=HAVE_LIB`echo krb5 | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1137    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1138  cat >> confdefs.h <<EOF
1139#define $ac_tr_lib 1
1140EOF
1141
1142  LIBS="-lkrb5 $LIBS"
1143
1144else
1145  echo "$ac_t""no" 1>&6
1146fi
1147
1148echo $ac_n "checking for krb_sendauth in -lkrb4""... $ac_c" 1>&6
1149echo "configure:1150: checking for krb_sendauth in -lkrb4" >&5
1150ac_lib_var=`echo krb4'_'krb_sendauth | sed 'y%./+-%__p_%'`
1151if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1152  echo $ac_n "(cached) $ac_c" 1>&6
1153else
1154  ac_save_LIBS="$LIBS"
1155LIBS="-lkrb4  $LIBS"
1156cat > conftest.$ac_ext <<EOF
1157#line 1158 "configure"
1158#include "confdefs.h"
1159/* Override any gcc2 internal prototype to avoid an error.  */
1160/* We use char because int might match the return type of a gcc2
1161    builtin and then its argument prototype would still apply.  */
1162char krb_sendauth();
1163
1164int main() {
1165krb_sendauth()
1166; return 0; }
1167EOF
1168if { (eval echo configure:1169: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1169  rm -rf conftest*
1170  eval "ac_cv_lib_$ac_lib_var=yes"
1171else
1172  echo "configure: failed program was:" >&5
1173  cat conftest.$ac_ext >&5
1174  rm -rf conftest*
1175  eval "ac_cv_lib_$ac_lib_var=no"
1176fi
1177rm -f conftest*
1178LIBS="$ac_save_LIBS"
1179
1180fi
1181if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1182  echo "$ac_t""yes" 1>&6
1183    ac_tr_lib=HAVE_LIB`echo krb4 | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1184    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1185  cat >> confdefs.h <<EOF
1186#define $ac_tr_lib 1
1187EOF
1188
1189  LIBS="-lkrb4 $LIBS"
1190
1191else
1192  echo "$ac_t""no" 1>&6
1193fi
1194
1195echo $ac_n "checking for ZGetSender in -lzephyr""... $ac_c" 1>&6
1196echo "configure:1197: checking for ZGetSender in -lzephyr" >&5
1197ac_lib_var=`echo zephyr'_'ZGetSender | sed 'y%./+-%__p_%'`
1198if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1199  echo $ac_n "(cached) $ac_c" 1>&6
1200else
1201  ac_save_LIBS="$LIBS"
1202LIBS="-lzephyr  $LIBS"
1203cat > conftest.$ac_ext <<EOF
1204#line 1205 "configure"
1205#include "confdefs.h"
1206/* Override any gcc2 internal prototype to avoid an error.  */
1207/* We use char because int might match the return type of a gcc2
1208    builtin and then its argument prototype would still apply.  */
1209char ZGetSender();
1210
1211int main() {
1212ZGetSender()
1213; return 0; }
1214EOF
1215if { (eval echo configure:1216: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1216  rm -rf conftest*
1217  eval "ac_cv_lib_$ac_lib_var=yes"
1218else
1219  echo "configure: failed program was:" >&5
1220  cat conftest.$ac_ext >&5
1221  rm -rf conftest*
1222  eval "ac_cv_lib_$ac_lib_var=no"
1223fi
1224rm -f conftest*
1225LIBS="$ac_save_LIBS"
1226
1227fi
1228if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1229  echo "$ac_t""yes" 1>&6
1230    ac_tr_lib=HAVE_LIB`echo zephyr | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1231    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1232  cat >> confdefs.h <<EOF
1233#define $ac_tr_lib 1
1234EOF
1235
1236  LIBS="-lzephyr $LIBS"
1237
1238else
1239  echo "$ac_t""no" 1>&6
1240{ echo "configure: error: No zephyr library found." 1>&2; exit 1; }
1241fi
1242
1243echo $ac_n "checking for ZInitLocationInfo in -lzephyr""... $ac_c" 1>&6
1244echo "configure:1245: checking for ZInitLocationInfo in -lzephyr" >&5
1245ac_lib_var=`echo zephyr'_'ZInitLocationInfo | sed 'y%./+-%__p_%'`
1246if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1247  echo $ac_n "(cached) $ac_c" 1>&6
1248else
1249  ac_save_LIBS="$LIBS"
1250LIBS="-lzephyr  $LIBS"
1251cat > conftest.$ac_ext <<EOF
1252#line 1253 "configure"
1253#include "confdefs.h"
1254/* Override any gcc2 internal prototype to avoid an error.  */
1255/* We use char because int might match the return type of a gcc2
1256    builtin and then its argument prototype would still apply.  */
1257char ZInitLocationInfo();
1258
1259int main() {
1260ZInitLocationInfo()
1261; return 0; }
1262EOF
1263if { (eval echo configure:1264: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1264  rm -rf conftest*
1265  eval "ac_cv_lib_$ac_lib_var=yes"
1266else
1267  echo "configure: failed program was:" >&5
1268  cat conftest.$ac_ext >&5
1269  rm -rf conftest*
1270  eval "ac_cv_lib_$ac_lib_var=no"
1271fi
1272rm -f conftest*
1273LIBS="$ac_save_LIBS"
1274
1275fi
1276if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1277  echo "$ac_t""yes" 1>&6
1278  cat >> confdefs.h <<\EOF
1279#define HAVE_LIBZEPHYR_ZINITLOCATIONINFO 1
1280EOF
1281
1282else
1283  echo "$ac_t""no" 1>&6
1284fi
1285
1286
1287echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1288echo "configure:1289: checking how to run the C preprocessor" >&5
1289# On Suns, sometimes $CPP names a directory.
1290if test -n "$CPP" && test -d "$CPP"; then
1291  CPP=
1292fi
1293if test -z "$CPP"; then
1294if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1295  echo $ac_n "(cached) $ac_c" 1>&6
1296else
1297    # This must be in double quotes, not single quotes, because CPP may get
1298  # substituted into the Makefile and "${CC-cc}" will confuse make.
1299  CPP="${CC-cc} -E"
1300  # On the NeXT, cc -E runs the code through the compiler's parser,
1301  # not just through cpp.
1302  cat > conftest.$ac_ext <<EOF
1303#line 1304 "configure"
1304#include "confdefs.h"
1305#include <assert.h>
1306Syntax Error
1307EOF
1308ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1309{ (eval echo configure:1310: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1310ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1311if test -z "$ac_err"; then
1312  :
1313else
1314  echo "$ac_err" >&5
1315  echo "configure: failed program was:" >&5
1316  cat conftest.$ac_ext >&5
1317  rm -rf conftest*
1318  CPP="${CC-cc} -E -traditional-cpp"
1319  cat > conftest.$ac_ext <<EOF
1320#line 1321 "configure"
1321#include "confdefs.h"
1322#include <assert.h>
1323Syntax Error
1324EOF
1325ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1326{ (eval echo configure:1327: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1327ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1328if test -z "$ac_err"; then
1329  :
1330else
1331  echo "$ac_err" >&5
1332  echo "configure: failed program was:" >&5
1333  cat conftest.$ac_ext >&5
1334  rm -rf conftest*
1335  CPP="${CC-cc} -nologo -E"
1336  cat > conftest.$ac_ext <<EOF
1337#line 1338 "configure"
1338#include "confdefs.h"
1339#include <assert.h>
1340Syntax Error
1341EOF
1342ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1343{ (eval echo configure:1344: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1344ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1345if test -z "$ac_err"; then
1346  :
1347else
1348  echo "$ac_err" >&5
1349  echo "configure: failed program was:" >&5
1350  cat conftest.$ac_ext >&5
1351  rm -rf conftest*
1352  CPP=/lib/cpp
1353fi
1354rm -f conftest*
1355fi
1356rm -f conftest*
1357fi
1358rm -f conftest*
1359  ac_cv_prog_CPP="$CPP"
1360fi
1361  CPP="$ac_cv_prog_CPP"
1362else
1363  ac_cv_prog_CPP="$CPP"
1364fi
1365echo "$ac_t""$CPP" 1>&6
1366
1367echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1368echo "configure:1369: checking for ANSI C header files" >&5
1369if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1370  echo $ac_n "(cached) $ac_c" 1>&6
1371else
1372  cat > conftest.$ac_ext <<EOF
1373#line 1374 "configure"
1374#include "confdefs.h"
1375#include <stdlib.h>
1376#include <stdarg.h>
1377#include <string.h>
1378#include <float.h>
1379EOF
1380ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1381{ (eval echo configure:1382: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1382ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1383if test -z "$ac_err"; then
1384  rm -rf conftest*
1385  ac_cv_header_stdc=yes
1386else
1387  echo "$ac_err" >&5
1388  echo "configure: failed program was:" >&5
1389  cat conftest.$ac_ext >&5
1390  rm -rf conftest*
1391  ac_cv_header_stdc=no
1392fi
1393rm -f conftest*
1394
1395if test $ac_cv_header_stdc = yes; then
1396  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1397cat > conftest.$ac_ext <<EOF
1398#line 1399 "configure"
1399#include "confdefs.h"
1400#include <string.h>
1401EOF
1402if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1403  egrep "memchr" >/dev/null 2>&1; then
1404  :
1405else
1406  rm -rf conftest*
1407  ac_cv_header_stdc=no
1408fi
1409rm -f conftest*
1410
1411fi
1412
1413if test $ac_cv_header_stdc = yes; then
1414  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1415cat > conftest.$ac_ext <<EOF
1416#line 1417 "configure"
1417#include "confdefs.h"
1418#include <stdlib.h>
1419EOF
1420if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1421  egrep "free" >/dev/null 2>&1; then
1422  :
1423else
1424  rm -rf conftest*
1425  ac_cv_header_stdc=no
1426fi
1427rm -f conftest*
1428
1429fi
1430
1431if test $ac_cv_header_stdc = yes; then
1432  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1433if test "$cross_compiling" = yes; then
1434  :
1435else
1436  cat > conftest.$ac_ext <<EOF
1437#line 1438 "configure"
1438#include "confdefs.h"
1439#include <ctype.h>
1440#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1441#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1442#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1443int main () { int i; for (i = 0; i < 256; i++)
1444if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1445exit (0); }
1446
1447EOF
1448if { (eval echo configure:1449: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1449then
1450  :
1451else
1452  echo "configure: failed program was:" >&5
1453  cat conftest.$ac_ext >&5
1454  rm -fr conftest*
1455  ac_cv_header_stdc=no
1456fi
1457rm -fr conftest*
1458fi
1459
1460fi
1461fi
1462
1463echo "$ac_t""$ac_cv_header_stdc" 1>&6
1464if test $ac_cv_header_stdc = yes; then
1465  cat >> confdefs.h <<\EOF
1466#define STDC_HEADERS 1
1467EOF
1468
1469fi
1470
1471echo $ac_n "checking for sys/wait.h that is POSIX.1 compatible""... $ac_c" 1>&6
1472echo "configure:1473: checking for sys/wait.h that is POSIX.1 compatible" >&5
1473if eval "test \"`echo '$''{'ac_cv_header_sys_wait_h'+set}'`\" = set"; then
1474  echo $ac_n "(cached) $ac_c" 1>&6
1475else
1476  cat > conftest.$ac_ext <<EOF
1477#line 1478 "configure"
1478#include "confdefs.h"
1479#include <sys/types.h>
1480#include <sys/wait.h>
1481#ifndef WEXITSTATUS
1482#define WEXITSTATUS(stat_val) ((unsigned)(stat_val) >> 8)
1483#endif
1484#ifndef WIFEXITED
1485#define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
1486#endif
1487int main() {
1488int s;
1489wait (&s);
1490s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
1491; return 0; }
1492EOF
1493if { (eval echo configure:1494: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1494  rm -rf conftest*
1495  ac_cv_header_sys_wait_h=yes
1496else
1497  echo "configure: failed program was:" >&5
1498  cat conftest.$ac_ext >&5
1499  rm -rf conftest*
1500  ac_cv_header_sys_wait_h=no
1501fi
1502rm -f conftest*
1503fi
1504
1505echo "$ac_t""$ac_cv_header_sys_wait_h" 1>&6
1506if test $ac_cv_header_sys_wait_h = yes; then
1507  cat >> confdefs.h <<\EOF
1508#define HAVE_SYS_WAIT_H 1
1509EOF
1510
1511fi
1512
1513for ac_hdr in strings.h sys/ioctl.h unistd.h
1514do
1515ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1516echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1517echo "configure:1518: checking for $ac_hdr" >&5
1518if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1519  echo $ac_n "(cached) $ac_c" 1>&6
1520else
1521  cat > conftest.$ac_ext <<EOF
1522#line 1523 "configure"
1523#include "confdefs.h"
1524#include <$ac_hdr>
1525EOF
1526ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1527{ (eval echo configure:1528: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1528ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1529if test -z "$ac_err"; then
1530  rm -rf conftest*
1531  eval "ac_cv_header_$ac_safe=yes"
1532else
1533  echo "$ac_err" >&5
1534  echo "configure: failed program was:" >&5
1535  cat conftest.$ac_ext >&5
1536  rm -rf conftest*
1537  eval "ac_cv_header_$ac_safe=no"
1538fi
1539rm -f conftest*
1540fi
1541if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1542  echo "$ac_t""yes" 1>&6
1543    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1544  cat >> confdefs.h <<EOF
1545#define $ac_tr_hdr 1
1546EOF
1547 
1548else
1549  echo "$ac_t""no" 1>&6
1550fi
1551done
1552
1553
1554FOO=`perl -MExtUtils::Embed -e ccopts`
1555echo Adding perl CFLAGS ${FOO}
1556CFLAGS=${CFLAGS}\ ${FOO}
1557
1558echo $ac_n "checking for the perl xsubpp precompiler""... $ac_c" 1>&6
1559echo "configure:1560: checking for the perl xsubpp precompiler" >&5
1560XSUBPPDIR="`(perl -MExtUtils::MakeMaker -e 'print ExtUtils::MakeMaker->new({NAME => qw(owl)})->tool_xsubpp;') | grep \^XSUBPPDIR | sed -e 's/XSUBPPDIR = //g;'`"
1561if test -n "${XSUBPPDIR}"; then
1562   echo "$ac_t""${XSUBPPDIR}" 1>&6
1563else
1564   { echo "configure: error: not found" 1>&2; exit 1; }
1565fi
1566
1567FOO=`perl -MExtUtils::Embed -e ldopts`
1568echo Adding perl LDFLAGS ${FOO}
1569LDFLAGS=${LDFLAGS}\ ${FOO}
1570
1571
1572ac_safe=`echo "/usr/share/terminfo" | sed 'y%./+-%__p_%'`
1573echo $ac_n "checking for /usr/share/terminfo""... $ac_c" 1>&6
1574echo "configure:1575: checking for /usr/share/terminfo" >&5
1575if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
1576  echo $ac_n "(cached) $ac_c" 1>&6
1577else
1578  if test "$cross_compiling" = yes; then
1579    { echo "configure: error: Cannot check for file existence when cross compiling" 1>&2; exit 1; }
1580else
1581  if test -r /usr/share/terminfo; then
1582    eval "ac_cv_file_$ac_safe=yes"
1583  else
1584    eval "ac_cv_file_$ac_safe=no"
1585  fi
1586fi
1587fi
1588if eval "test \"`echo '$ac_cv_file_'$ac_safe`\" = yes"; then
1589  echo "$ac_t""yes" 1>&6
1590  cat >> confdefs.h <<\EOF
1591#define TERMINFO "/usr/share/terminfo"
1592EOF
1593
1594else
1595  echo "$ac_t""no" 1>&6
1596
1597ac_safe=`echo "/usr/share/lib/terminfo" | sed 'y%./+-%__p_%'`
1598echo $ac_n "checking for /usr/share/lib/terminfo""... $ac_c" 1>&6
1599echo "configure:1600: checking for /usr/share/lib/terminfo" >&5
1600if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
1601  echo $ac_n "(cached) $ac_c" 1>&6
1602else
1603  if test "$cross_compiling" = yes; then
1604    { echo "configure: error: Cannot check for file existence when cross compiling" 1>&2; exit 1; }
1605else
1606  if test -r /usr/share/lib/terminfo; then
1607    eval "ac_cv_file_$ac_safe=yes"
1608  else
1609    eval "ac_cv_file_$ac_safe=no"
1610  fi
1611fi
1612fi
1613if eval "test \"`echo '$ac_cv_file_'$ac_safe`\" = yes"; then
1614  echo "$ac_t""yes" 1>&6
1615  cat >> confdefs.h <<\EOF
1616#define TERMINFO "/usr/share/lib/terminfo"
1617EOF
1618
1619else
1620  echo "$ac_t""no" 1>&6
1621{ echo "configure: error: No terminfo found for this system" 1>&2; exit 1; }
1622fi
1623
1624fi
1625
1626
1627
1628
1629
1630trap '' 1 2 15
1631cat > confcache <<\EOF
1632# This file is a shell script that caches the results of configure
1633# tests run on this system so they can be shared between configure
1634# scripts and configure runs.  It is not useful on other systems.
1635# If it contains results you don't want to keep, you may remove or edit it.
1636#
1637# By default, configure uses ./config.cache as the cache file,
1638# creating it if it does not exist already.  You can give configure
1639# the --cache-file=FILE option to use a different cache file; that is
1640# what configure does when it calls configure scripts in
1641# subdirectories, so they share the cache.
1642# Giving --cache-file=/dev/null disables caching, for debugging configure.
1643# config.status only pays attention to the cache file if you give it the
1644# --recheck option to rerun configure.
1645#
1646EOF
1647# The following way of writing the cache mishandles newlines in values,
1648# but we know of no workaround that is simple, portable, and efficient.
1649# So, don't put newlines in cache variables' values.
1650# Ultrix sh set writes to stderr and can't be redirected directly,
1651# and sets the high bit in the cache file unless we assign to the vars.
1652(set) 2>&1 |
1653  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1654  *ac_space=\ *)
1655    # `set' does not quote correctly, so add quotes (double-quote substitution
1656    # turns \\\\ into \\, and sed turns \\ into \).
1657    sed -n \
1658      -e "s/'/'\\\\''/g" \
1659      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1660    ;;
1661  *)
1662    # `set' quotes correctly as required by POSIX, so do not add quotes.
1663    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1664    ;;
1665  esac >> confcache
1666if cmp -s $cache_file confcache; then
1667  :
1668else
1669  if test -w $cache_file; then
1670    echo "updating cache $cache_file"
1671    cat confcache > $cache_file
1672  else
1673    echo "not updating unwritable cache $cache_file"
1674  fi
1675fi
1676rm -f confcache
1677
1678trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1679
1680test "x$prefix" = xNONE && prefix=$ac_default_prefix
1681# Let make expand exec_prefix.
1682test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1683
1684# Any assignment to VPATH causes Sun make to only execute
1685# the first set of double-colon rules, so remove it if not needed.
1686# If there is a colon in the path, we need to keep it.
1687if test "x$srcdir" = x.; then
1688  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1689fi
1690
1691trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1692
1693DEFS=-DHAVE_CONFIG_H
1694
1695# Without the "./", some shells look in PATH for config.status.
1696: ${CONFIG_STATUS=./config.status}
1697
1698echo creating $CONFIG_STATUS
1699rm -f $CONFIG_STATUS
1700cat > $CONFIG_STATUS <<EOF
1701#! /bin/sh
1702# Generated automatically by configure.
1703# Run this file to recreate the current configuration.
1704# This directory was configured as follows,
1705# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1706#
1707# $0 $ac_configure_args
1708#
1709# Compiler output produced by configure, useful for debugging
1710# configure, is in ./config.log if it exists.
1711
1712ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1713for ac_option
1714do
1715  case "\$ac_option" in
1716  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1717    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1718    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1719  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1720    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1721    exit 0 ;;
1722  -help | --help | --hel | --he | --h)
1723    echo "\$ac_cs_usage"; exit 0 ;;
1724  *) echo "\$ac_cs_usage"; exit 1 ;;
1725  esac
1726done
1727
1728ac_given_srcdir=$srcdir
1729
1730trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1731EOF
1732cat >> $CONFIG_STATUS <<EOF
1733
1734# Protect against being on the right side of a sed subst in config.status.
1735sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1736 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1737$ac_vpsub
1738$extrasub
1739s%@SHELL@%$SHELL%g
1740s%@CFLAGS@%$CFLAGS%g
1741s%@CPPFLAGS@%$CPPFLAGS%g
1742s%@CXXFLAGS@%$CXXFLAGS%g
1743s%@FFLAGS@%$FFLAGS%g
1744s%@DEFS@%$DEFS%g
1745s%@LDFLAGS@%$LDFLAGS%g
1746s%@LIBS@%$LIBS%g
1747s%@exec_prefix@%$exec_prefix%g
1748s%@prefix@%$prefix%g
1749s%@program_transform_name@%$program_transform_name%g
1750s%@bindir@%$bindir%g
1751s%@sbindir@%$sbindir%g
1752s%@libexecdir@%$libexecdir%g
1753s%@datadir@%$datadir%g
1754s%@sysconfdir@%$sysconfdir%g
1755s%@sharedstatedir@%$sharedstatedir%g
1756s%@localstatedir@%$localstatedir%g
1757s%@libdir@%$libdir%g
1758s%@includedir@%$includedir%g
1759s%@oldincludedir@%$oldincludedir%g
1760s%@infodir@%$infodir%g
1761s%@mandir@%$mandir%g
1762s%@CC@%$CC%g
1763s%@CPP@%$CPP%g
1764s%@XSUBPPDIR@%$XSUBPPDIR%g
1765
1766CEOF
1767EOF
1768
1769cat >> $CONFIG_STATUS <<\EOF
1770
1771# Split the substitutions into bite-sized pieces for seds with
1772# small command number limits, like on Digital OSF/1 and HP-UX.
1773ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1774ac_file=1 # Number of current file.
1775ac_beg=1 # First line for current file.
1776ac_end=$ac_max_sed_cmds # Line after last line for current file.
1777ac_more_lines=:
1778ac_sed_cmds=""
1779while $ac_more_lines; do
1780  if test $ac_beg -gt 1; then
1781    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1782  else
1783    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1784  fi
1785  if test ! -s conftest.s$ac_file; then
1786    ac_more_lines=false
1787    rm -f conftest.s$ac_file
1788  else
1789    if test -z "$ac_sed_cmds"; then
1790      ac_sed_cmds="sed -f conftest.s$ac_file"
1791    else
1792      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1793    fi
1794    ac_file=`expr $ac_file + 1`
1795    ac_beg=$ac_end
1796    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1797  fi
1798done
1799if test -z "$ac_sed_cmds"; then
1800  ac_sed_cmds=cat
1801fi
1802EOF
1803
1804cat >> $CONFIG_STATUS <<EOF
1805
1806CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1807EOF
1808cat >> $CONFIG_STATUS <<\EOF
1809for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1810  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1811  case "$ac_file" in
1812  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1813       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1814  *) ac_file_in="${ac_file}.in" ;;
1815  esac
1816
1817  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1818
1819  # Remove last slash and all that follows it.  Not all systems have dirname.
1820  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1821  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1822    # The file is in a subdirectory.
1823    test ! -d "$ac_dir" && mkdir "$ac_dir"
1824    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1825    # A "../" for each directory in $ac_dir_suffix.
1826    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1827  else
1828    ac_dir_suffix= ac_dots=
1829  fi
1830
1831  case "$ac_given_srcdir" in
1832  .)  srcdir=.
1833      if test -z "$ac_dots"; then top_srcdir=.
1834      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1835  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1836  *) # Relative path.
1837    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1838    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1839  esac
1840
1841
1842  echo creating "$ac_file"
1843  rm -f "$ac_file"
1844  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1845  case "$ac_file" in
1846  *Makefile*) ac_comsub="1i\\
1847# $configure_input" ;;
1848  *) ac_comsub= ;;
1849  esac
1850
1851  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1852  sed -e "$ac_comsub
1853s%@configure_input@%$configure_input%g
1854s%@srcdir@%$srcdir%g
1855s%@top_srcdir@%$top_srcdir%g
1856" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1857fi; done
1858rm -f conftest.s*
1859
1860# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1861# NAME is the cpp macro being defined and VALUE is the value it is being given.
1862#
1863# ac_d sets the value in "#define NAME VALUE" lines.
1864ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
1865ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
1866ac_dC='\3'
1867ac_dD='%g'
1868# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1869ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1870ac_uB='\([      ]\)%\1#\2define\3'
1871ac_uC=' '
1872ac_uD='\4%g'
1873# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1874ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1875ac_eB='$%\1#\2define\3'
1876ac_eC=' '
1877ac_eD='%g'
1878
1879if test "${CONFIG_HEADERS+set}" != set; then
1880EOF
1881cat >> $CONFIG_STATUS <<EOF
1882  CONFIG_HEADERS="config.h"
1883EOF
1884cat >> $CONFIG_STATUS <<\EOF
1885fi
1886for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1887  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1888  case "$ac_file" in
1889  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1890       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1891  *) ac_file_in="${ac_file}.in" ;;
1892  esac
1893
1894  echo creating $ac_file
1895
1896  rm -f conftest.frag conftest.in conftest.out
1897  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1898  cat $ac_file_inputs > conftest.in
1899
1900EOF
1901
1902# Transform confdefs.h into a sed script conftest.vals that substitutes
1903# the proper values into config.h.in to produce config.h.  And first:
1904# Protect against being on the right side of a sed subst in config.status.
1905# Protect against being in an unquoted here document in config.status.
1906rm -f conftest.vals
1907cat > conftest.hdr <<\EOF
1908s/[\\&%]/\\&/g
1909s%[\\$`]%\\&%g
1910s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1911s%ac_d%ac_u%gp
1912s%ac_u%ac_e%gp
1913EOF
1914sed -n -f conftest.hdr confdefs.h > conftest.vals
1915rm -f conftest.hdr
1916
1917# This sed command replaces #undef with comments.  This is necessary, for
1918# example, in the case of _POSIX_SOURCE, which is predefined and required
1919# on some systems where configure will not decide to define it.
1920cat >> conftest.vals <<\EOF
1921s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1922EOF
1923
1924# Break up conftest.vals because some shells have a limit on
1925# the size of here documents, and old seds have small limits too.
1926
1927rm -f conftest.tail
1928while :
1929do
1930  ac_lines=`grep -c . conftest.vals`
1931  # grep -c gives empty output for an empty file on some AIX systems.
1932  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1933  # Write a limited-size here document to conftest.frag.
1934  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1935  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1936  echo 'CEOF
1937  sed -f conftest.frag conftest.in > conftest.out
1938  rm -f conftest.in
1939  mv conftest.out conftest.in
1940' >> $CONFIG_STATUS
1941  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1942  rm -f conftest.vals
1943  mv conftest.tail conftest.vals
1944done
1945rm -f conftest.vals
1946
1947cat >> $CONFIG_STATUS <<\EOF
1948  rm -f conftest.frag conftest.h
1949  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1950  cat conftest.in >> conftest.h
1951  rm -f conftest.in
1952  if cmp -s $ac_file conftest.h 2>/dev/null; then
1953    echo "$ac_file is unchanged"
1954    rm -f conftest.h
1955  else
1956    # Remove last slash and all that follows it.  Not all systems have dirname.
1957      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1958      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1959      # The file is in a subdirectory.
1960      test ! -d "$ac_dir" && mkdir "$ac_dir"
1961    fi
1962    rm -f $ac_file
1963    mv conftest.h $ac_file
1964  fi
1965fi; done
1966
1967EOF
1968cat >> $CONFIG_STATUS <<EOF
1969
1970EOF
1971cat >> $CONFIG_STATUS <<\EOF
1972
1973exit 0
1974EOF
1975chmod +x $CONFIG_STATUS
1976rm -fr confdefs* $ac_clean_files
1977test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1978
Note: See TracBrowser for help on using the repository browser.